package com.tcctlo.law.entity;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * <p>
 * 收款记录表
 * </p>
 *
 * @author 张世琪
 * @since 2025-02-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("collection_record")
public class CollectionRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 关联案件表id
     */
    private Long caseId;

    /**
     * 收款方式
     */
    private String collectionType;

    /**
     * 已收金额
     */
    private BigDecimal amountReceived;

    /**
     * 收款相关凭证【关联文件管理表ID】
     * FIXME 修改完成后，将该字段删除，需要前端做调整
     */
//    private String collectionUrlId;


    /** 收款记录凭证地址，多条收款凭证英文逗号分隔 */
    private String collectionUrl;

    /**
     * 收款时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date collectionDate;

    /**
     * 收款记录
     */
    private String collectionRemark;

    /**
     * 收款人ID
     */
    private Long userId;

    /**
     * 收款人名称
     */
    private String userName;

    /**
     * 审核状态（0：需要审核，1：不需要审核，2：未审核）
     */
    private Integer auditStatus;

    /**
     * 状态【0：正常，1：停用】
     */
    private Integer status;

    /**
     * 删除标志【0：未删除，1：已删除】
     */
    @TableLogic
    private Integer delFlag;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    /**
     * 备注
     */
    private String remark;

}
