package com.tcctlo.law.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tcctlo.law.entity.ContractTemplate;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tcctlo.law.entity.wordTemplateEntity.BaseWordEntity;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 合同模板 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2025-02-18
 */
public interface ContractTemplateMapper extends BaseMapper<ContractTemplate> {

    /**
     * 批量删除
     * @param ids ids
     * @return 结果集
     */
    Integer deleteTemplate(@Param("ids") List<Long> ids);

    /**
     * 根据案件编号查询合同模板参数
     * @param caseId 案件ID
     * @return 结果集
     */
    List<BaseWordEntity> selectWordParam(@Param("caseId") Long caseId);

    /**
     * 条件分页查询
     * @param page 分页
     * @param condition 条件
     * @return 结果集
     */
    Page<ContractTemplate> selectCondition(@Param("page") Page<ContractTemplate> page, @Param("condition") Map<String, Object> condition);
}
