package com.tcctlo.law.searcher;

import com.tcctlo.law.entity.CaseInformation;
import com.tcctlo.law.entity.CaseLawyer;
import com.tcctlo.law.entity.ImpulseInformation;
import com.tcctlo.law.vo.CollectionRecordEnterVO;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

@Data
public class CaseInformationEnterSearcher implements Serializable {

    private static final long serialVersionUID = 4014133758567882903L;
    /**
     * 案件未收款的金额
     */
    private BigDecimal uncollectedMoney;

    /**
     * 案件信息
     */
    private CaseInformation caseInformation;

    /**
     * 利冲信息-委托方信息
     */
    private List<ImpulseInformation> entrustingParty;

    /**
     * 利冲信息-相对方
     */
    private List<ImpulseInformation> opposite;

    /**
     * 案件收款记录信息
     */
    private List<CollectionRecordSearcher> collectionRecordList;

}
