package com.tcctlo.law.searcher;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class CollectionRecordSearcher implements Serializable {

    private static final long serialVersionUID = 3318529006642229496L;

    /**
     * 主键ID
     */
    private Long id;


    /**
     * 关联案件表id
     */
    private Long caseId;

    /**
     * 收款方式
     */
    private String collectionType;

    /**
     * 已收金额
     */
    private BigDecimal amountReceived;


    /** 收款记录凭证地址，多条收款凭证英文逗号分隔 */
    private String collectionUrl;

    /**
     * 收款时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date collectionDate;

    /**
     * 收款记录备注
     */
    private String collectionRemark;

    /**
     * 收款人ID
     */
    private Long userId;

    /**
     * 收款人名称
     */
    private String userName;

}
