package com.tcctlo.law.service;

import com.tcctlo.law.entity.AuditRecord;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import java.util.List;

/**
 * <p>
 * 审核记录表 服务类
 * </p>
 *
 * @author 
 * @since 2025-02-25
 */
public interface IAuditRecordService {
        
    /**
    * <p>
    * 分页列表查询
    * </p>
    * @param pageNo
    * @param pageSize
    * @return
    */
    Page<AuditRecord> list(Integer pageNo, Integer pageSize);
        
    /**
    * <p>
    * 详情接口
    * </p>
    * @param id
    * @return
    */
    AuditRecord getById(Long id);

    /**
    * <p>
    * 新增接口
    * </p>
    * @param auditRecord
    * @return
    */
    Boolean create(AuditRecord auditRecord);
        
        
    /**
    * <p>
    * 删除接口
    * </p>
    * @param id
    * @return
    */
    Integer delete(Long id);

    /**
    * <p>
    * 更新接口
    * </p>
    * @param auditRecord
    * @return
    */
    Integer update(AuditRecord auditRecord);

    /**
     * 根据案件ID查询审核记录
     * @param caseId 案件ID
     * @return 结果集
     */
    List<AuditRecord> selectByCaseId(Long caseId);
}
