package com.tcctlo.law.service;

import com.tcctlo.law.entity.DemandPaymentRecord;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import java.util.Map;

/**
 * <p>
 * 金额催收记录 服务类
 * </p>
 *
 * @author 
 * @since 2025-02-27
 */
public interface IDemandPaymentRecordService {
        
    /**
    * <p>
    * 分页列表查询
    * </p>
    * @param pageNo
    * @param pageSize
    * @return
    */
    Page<DemandPaymentRecord> list(Integer pageNo, Integer pageSize);
        
    /**
    * <p>
    * 详情接口
    * </p>
    * @param id
    * @return
    */
    DemandPaymentRecord getById(Long id);

    /**
    * <p>
    * 新增接口
    * </p>
    * @param demandPaymentRecord
    * @return
    */
    Integer create(DemandPaymentRecord demandPaymentRecord);
        
        
    /**
    * <p>
    * 删除接口
    * </p>
    * @param id
    * @return
    */
    Integer delete(Long id);

    /**
    * <p>
    * 更新接口
    * </p>
    * @param demandPaymentRecord
    * @return
    */
    Integer update(DemandPaymentRecord demandPaymentRecord);

    /**
     * 根据案件ID对案件进行催收功能
     * @param params 参数
     * @return 是否成功
     */
    Boolean caseCollection(Map<String, Long> params);

    /**
     * 设置催收消息已读
     * @param params 参数
     * @return 结果集
     */
    boolean setRead(Map<String, Object> params);
}
